%define majver %(echo %version | cut -d. -f1-2)
Name:          at-spi2-core
Version:       2.54.0
Release:       1mamba
Summary:       Protocol definitions and daemon for D-Bus at-spi
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/GNOME/at-spi2-core
Source:        http://ftp.acc.umu.se/pub/GNOME/sources/at-spi2-core/%{majver}/at-spi2-core-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: libXtst-devel
BuildRequires: libdbus-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
BuildRequires: meson
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
at-spi allows assistive technologies to access GTK-based applications. Essentially it exposes the internals of applications for automation, so tools such as screen readers, magnifiers, or even scripting interfaces can query and interact with GUI controls.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Provides:      libatk
Obsoletes:     libatk <= 2.38.0
Provides:      libat-spi2-atk
Obsoletes:     libat-spi2-atk <= 2.38.0

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config
Provides:      libatk-devel
Obsoletes:     libatk-devel <= 2.38.0
Provides:      libat-spi2-atk-devel
Obsoletes:     libat-spi2-atk-devel <= 2.38.0

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/Xwayland-session.d/00-at-spi
%{_sysconfdir}/xdg/autostart/at-spi-dbus-bus.desktop
%{_userunitdir}/at-spi-dbus-bus.service
%{_libexecdir}/at-spi-bus-launcher
%{_libexecdir}/at-spi2-registryd
%dir %{_datadir}/defaults/at-spi2
%{_datadir}/defaults/at-spi2/accessibility.conf
%{_datadir}/dbus-1/services/org.a11y.Bus.service
%{_datadir}/dbus-1/accessibility-services/org.a11y.atspi.Registry.service

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libatspi.so.*
%{_libdir}/libatk-1.0.so.*
%{_libdir}/libatk-bridge-2.0.so.*
%{_libdir}/gtk-2.0/modules/libatk-bridge.so
%{_libdir}/girepository-1.0/Atspi-2.0.typelib
%{_libdir}/girepository-1.0/Atk-1.0.typelib
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/at-spi-2.0
%{_includedir}/at-spi-2.0/*
%{_includedir}/at-spi2-atk/2.0/atk-bridge.h
%dir %{_includedir}/atk-1.0/atk
%{_includedir}/atk-1.0/atk/*
%{_libdir}/libatspi.so
%{_libdir}/libatk-1.0.so
%{_libdir}/libatk-bridge-2.0.so
%{_datadir}/gir-1.0/Atspi-2.0.gir
%{_datadir}/gir-1.0/Atk-1.0.gir
%{_libdir}/pkgconfig/atk-bridge-2.0.pc
%{_libdir}/pkgconfig/atk.pc
%{_libdir}/pkgconfig/atspi-2.pc

#%files apidocs
#%defattr(-,root,root)
#%dir %{_datadir}/gtk-doc/html/libatspi
#%{_datadir}/gtk-doc/html/libatspi/*

%changelog
* Sun Sep 15 2024 Automatic Build System <autodist@openmamba.org> 2.54.0-1mamba
- automatic version update by autodist

* Mon Mar 18 2024 Automatic Build System <autodist@openmamba.org> 2.52.0-1mamba
- automatic version update by autodist

* Sun Mar 17 2024 Automatic Build System <autodist@openmamba.org> 2.50.2-1mamba
- automatic version update by autodist

* Sat Jan 06 2024 Automatic Build System <autodist@openmamba.org> 2.50.1-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 2.50.0-1mamba
- automatic version update by autodist

* Sun Sep 03 2023 Automatic Build System <autodist@mambasoft.it> 2.48.4-1mamba
- automatic version update by autodist

* Sun May 28 2023 Automatic Build System <autodist@mambasoft.it> 2.48.3-1mamba
- automatic version update by autodist

* Fri May 12 2023 Automatic Build System <autodist@mambasoft.it> 2.48.2-1mamba
- automatic version update by autodist

* Thu May 11 2023 Automatic Build System <autodist@mambasoft.it> 2.48.1-1mamba
- automatic version update by autodist

* Mon Mar 20 2023 Automatic Build System <autodist@mambasoft.it> 2.48.0-1mamba
- automatic version update by autodist

* Mon Oct 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.46.0-3mamba
- fix obsoletes for libat-spi2-atk

* Fri Sep 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.46.0-2mamba
- also obsolete libat-spi2-atk[-devel]

* Thu Sep 29 2022 Automatic Build System <autodist@mambasoft.it> 2.46.0-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 2.44.1-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 2.44.0-1mamba
- automatic version update by autodist

* Fri Sep 24 2021 Automatic Build System <autodist@mambasoft.it> 2.42.0-1mamba
- automatic version update by autodist

* Sat Jul 10 2021 Automatic Build System <autodist@mambasoft.it> 2.40.3-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.40.2-1mamba
- update to 2.40.2

* Sat May 01 2021 Automatic Build System <autodist@mambasoft.it> 2.40.1-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 2.40.0-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 2.38.0-1mamba
- automatic version update by autodist

* Sat Sep 05 2020 Automatic Build System <autodist@mambasoft.it> 2.36.1-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 2.36.0-1mamba
- automatic version update by autodist

* Thu Sep 26 2019 Automatic Build System <autodist@mambasoft.it> 2.34.0-1mamba
- automatic version update by autodist

* Tue Apr 09 2019 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic version update by autodist

* Thu Mar 14 2019 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic version update by autodist

* Mon Mar 04 2019 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic version update by autodist

* Mon Sep 17 2018 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic version update by autodist

* Tue Oct 31 2017 Automatic Build System <autodist@mambasoft.it> 2.26.2-1mamba
- automatic version update by autodist

* Mon Oct 30 2017 Automatic Build System <autodist@mambasoft.it> 2.26.1-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 2.26.0-1mamba
- automatic version update by autodist

* Tue May 09 2017 Automatic Build System <autodist@mambasoft.it> 2.24.1-1mamba
- automatic version update by autodist

* Mon Apr 24 2017 Automatic Build System <autodist@mambasoft.it> 2.24.0-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 2.22.0-1mamba
- automatic version update by autodist

* Sun May 22 2016 Automatic Build System <autodist@mambasoft.it> 2.20.2-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Automatic Build System <autodist@mambasoft.it> 2.20.1-1mamba
- automatic version update by autodist

* Wed Nov 11 2015 Automatic Build System <autodist@mambasoft.it> 2.18.3-1mamba
- automatic version update by autodist

* Sun Nov 08 2015 Automatic Build System <autodist@mambasoft.it> 2.18.2-1mamba
- automatic version update by autodist

* Tue Oct 13 2015 Automatic Build System <autodist@mambasoft.it> 2.18.1-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 2.18.0-1mamba
- automatic version update by autodist

* Thu Apr 16 2015 Automatic Build System <autodist@mambasoft.it> 2.16.0-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 2.14.1-1mamba
- automatic version update by autodist

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 2.14.0-1mamba
- automatic version update by autodist

* Fri Sep 19 2014 Automatic Build System <autodist@mambasoft.it> 2.13.92-1mamba
- automatic update by autodist

* Tue Jul 22 2014 Automatic Build System <autodist@mambasoft.it> 2.13.4-1mamba
- automatic version update by autodist

* Tue Apr 29 2014 Automatic Build System <autodist@mambasoft.it> 2.13.1-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 2.12.0-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Sat Aug 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1mamba
- package created by autospec
